Subject: [MEXT] UDP checksum in DSMIPv6

From: <[email-masked]>
Date: Fri, 15 Aug 2008 16:33:11 +0200

It is not stated explicitly in DSMIP draft, but I assume
UDP headers are standard RFC 768 headers,
and so the UDP checksum is calculated and verified as normal.
Only exception is for the UDP headers going with ESP protection
of payload packets, which follows RFC 3948 mandating a 
checksum of zero.  Am I right?

Christian
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Hesham Soliman <[email-masked]>
Date: Sat, 16 Aug 2008 05:36:32 +1000

That's right, we don't need to say things that are already stated in the
RFCs we use. 

Hesham

---

From: Lars Eggert <[email-masked]>
Date: Tue, 19 Aug 2008 17:25:24 -0700

> checksum of zero.  Am I right?

RFC3948 says:

    o  the IPv4 UDP Checksum SHOULD be transmitted as a zero value, and

Note the "IPv4". That is, because RFC2460 says:

       o  Unlike IPv4, when UDP packets are originated by an IPv6 node,
          the UDP checksum is not optional.  That is, whenever
          originating a UDP packet, an IPv6 node must compute a UDP
          checksum over the packet and the pseudo-header (...)

i.e. an IPsec-in-UDP-in-IPv6 tunnel would need to set the UDP checksum

Lars

---

From: Hesham Soliman <[email-masked]>
Date: Wed, 20 Aug 2008 10:30:08 +1000

> i.e. an IPsec-in-UDP-in-IPv6 tunnel would need to set the UDP checksum

=> That's right, I think Christian was asking about the IPv4 (outer header)
case, which would comply with 3948.

Hesham